// © Copyrights 2026 Praajna Pattada

#include <iostream>
#include <limits>
using namespace std;

int main()
{
    cout << "These are a few of the escape sequences in C++:" << '\n';
    cout << '\n' << "This is a new line" << '\n' << '\n';
    cout << "This is a " << '\b' << "backspace." << '\n';
    cout << "This is a " << '\t' << "horizontal tab" << '\n';
    cout << "This is a " << '\v' << "vertical tab" << '\n';
    cout << "This is a single quote: " << '\'' << '\n';
    cout << "This is a double quote: " << '\"' << '\n';
    cout << "This is a question mark: " << '\?' << '\n';
    cin.clear();
    cin.ignore(numeric_limits<streamsize>::max(), '\n');
    cin.get();
    return 0;
}
